Subject: Re: [PATCH v5 net-next 00/13] add support for the the vsc7512 internal copper phys

From: Lee Jones <[email-masked]>
Date: Wed, 1 Feb 2023 10:15:43 +0000

On Tue, 31 Jan 2023, Jakub Kicinski wrote:

> On Tue, 31 Jan 2023 09:06:22 +0000 Lee Jones wrote:
> > Please don't do that.  The commits do not have proper Acked-by tags.
> > 
> > The plan is to merge these via MFD and send out a pull-request to an
> > immutable branch.  However, if you're prepared to convert all of the:
> > 
> >   Acked-for-MFD-by: Lee Jones <[email-masked]>
> > 
> > to
> > 
> >   Acked-by: Lee Jones <[email-masked]>
> 
> Sorry, I must have been blind yesterday because I definitely double
> checked this doesn't touch mfd code. And it does :/
> 
> The patches should not be sent for net-next if they are not supposed 
> to be applied directly. Or at the very least says something about
> merging in the cover letter!
> 
> > ... and send out a pull request to a succinct (only these patches) and
> > immutable branch then that is also an acceptable solution.
> > 
> > Please let me know what works best for you.
> 
> Sorry for messing up again. Stable branch would obviously had been best.
> Do we have to take action now, or can we just wait for the trees to
> converge during the merge window?

Russell explained to me (off-list) that the net-next branch is immutable
and the only way to fix this would be to revert the whole set.

Let's not go to that much trouble this time.

It does mean that I cannot take any more commits on the affected files,
but that shouldn't be a big deal seeing how far into the release cycle
we are.

No real harm done.

-- 
Lee Jones [李琼斯]